polybori::groebner::PairECompare Class Reference

This class defines PairECompare. More...

`#include <PairECompare.h>`

Inheritance diagram for polybori::groebner::PairECompare:

## Public Member Functions

| PairECompare (const BoolePolyRing &ring)
bool | operator() (const PairE &l, const PairE &r)
| replaces less template More...
Public Member Functions inherited from polybori::CFactoryBase
| CFactoryBase (const parent_type &parent)
| Default constructor. More...
| CFactoryBase (const self &rhs)
| Copy constructor. More...
| ~CFactoryBase ()
| Destructor. More...
const parent_type & | parent () const
| Access delayed data. More...

## Additional Inherited Members

Public Types inherited from polybori::CFactoryBase
typedef BoolePolyRing | parent_type
| Type of parent. More...

## Detailed Description

This class defines PairECompare.

## Constructor & Destructor Documentation

polybori::groebner::PairECompare::PairECompare | ( | const BoolePolyRing & | ring) |  |

inline

## Member Function Documentation

bool polybori::groebner::PairECompare::operator() | ( | const PairE & | l,
|  | const PairE & | r
| ) |  |

inline

replaces less template

Todo:
  lm comparison

References polybori::groebner::PairE::lm, polybori::groebner::PairE::sugar, and polybori::groebner::PairE::wlen.

The documentation for this class was generated from the following file:

- PairECompare.h